/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-22 15:27:24.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.impl;

import cn.com.qmth.examcloud.core.print.repository.CoursePaperRepository;
import cn.com.qmth.examcloud.core.print.service.CoursePaperService;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author: fengdesheng
 * @since: 2018/10/17
 */
@Service
public class CoursePaperServiceImpl implements CoursePaperService {
    private static final Logger log = LoggerFactory.getLogger(CoursePaperServiceImpl.class);
    @Autowired
    private CoursePaperRepository coursePaperRepository;

    @Override
    public void syncCourseNameByCourseId(Long courseId, String courseName) {
        if (courseId == null || StringUtils.isBlank(courseName)) {
            return;
        }
        coursePaperRepository.updateCourseNameByCourseId(courseId, courseName);
    }

}